Index: /data/media/gui/layouts/PickupInventory.layout
===================================================================
--- /data/media/gui/layouts/PickupInventory.layout	(revision 5506)
+++ /data/media/gui/layouts/PickupInventory.layout	(revision 5506)
@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<GUILayout>
+    <Window Type="TaharezLook/FrameWindow" Name="orxonox/Inventory">
+        <Property Name="UnifiedMinSize" Value="{{0.4,0},{0.3,0}}" />
+        <Property Name="UnifiedMaxSize" Value="{{0.8,0},{0.8,0}}" />
+        <Property Name="UnifiedPosition" Value="{{0.3,0},{0.35,0}}" />
+        <Property Name="UnifiedSize" Value="{{0.4,0},{0.3,0}}" />
+        <Property Name="Text" Value="Inventory" />
+        <Property Name="CloseButtonEnabled" Value="False" />
+
+        <Window Type="TaharezLook/TabControl" Name="orxonox/Inventory/TabControl" >
+            <Property Name="Tooltip" Value="Inventory" />
+            <Property Name="TabHeight" Value="{0,-1}" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="TabPanePosition" Value="Bottom" />
+            <Property Name="UnifiedAreaRect" Value="{{0,10},{0,30},{1,-10},{1,-10}}" />
+            
+            <Window Type="TaharezLook/ScrollablePane" Name="orxonox/Inventory/TabControl/TabEquipment">
+                <Property Name="Text" Value="Equipment" />
+                <Property Name="UnifiedPosition" Value="{{0,0},{0,0}}"/>
+                <Property Name="UnifiedSize" Value="{{1.0,0},{1.0,0}}"/>
+                
+                <Window Type="TaharezLook/Button" Name="orxonox/Inventory/equipmentButton/1">
+                    <Property Name="UnifiedPosition" Value="{{0.0,6},{0.0,6}}"/>
+                    <Property Name="UnifiedSize" Value="{{0.2,-12},{0.2,-12}}"/>
+                    <Property Name="Text" Value="1"/>
+                </Window>
+                <Window Type="TaharezLook/Button" Name="orxonox/Inventory/equipmentButton/2">
+                    <Property Name="UnifiedPosition" Value="{{0.2,6},{0.0,6}}"/>
+                    <Property Name="UnifiedSize" Value="{{0.2,-12},{0.2,-12}}"/>
+                    <Property Name="Text" Value="2"/>
+                </Window>
+                <Window Type="TaharezLook/Button" Name="orxonox/Inventory/equipmentButton/3">
+                    <Property Name="UnifiedPosition" Value="{{0.4,6},{0.0,6}}"/>
+                    <Property Name="UnifiedSize" Value="{{0.2,-12},{0.2,-12}}"/>
+                    <Property Name="Text" Value="3"/>
+                </Window>
+                <Window Type="TaharezLook/Button" Name="orxonox/Inventory/equipmentButton/4">
+                    <Property Name="UnifiedPosition" Value="{{0.6,6},{0.0,6}}"/>
+                    <Property Name="UnifiedSize" Value="{{0.2,-12},{0.2,-12}}"/>
+                    <Property Name="Text" Value="4"/>
+                </Window>
+                <Window Type="TaharezLook/Button" Name="orxonox/Inventory/equipmentButton/5">
+                    <Property Name="UnifiedPosition" Value="{{0.8,6},{0.0,6}}"/>
+                    <Property Name="UnifiedSize" Value="{{0.2,-12},{0.2,-12}}"/>
+                    <Property Name="Text" Value="5"/>
+                </Window>
+            </Window>
+            <Window Type="TaharezLook/ScrollablePane" Name="orxonox/Inventory/TabControl/TabUsable">
+                <Property Name="Text" Value="Usable" />
+            </Window>
+            
+            <Event Name="TabSelectionChanged" Function="tabChanged" />
+        </Window>
+        
+        <Event Name="WindowUpdate" Function="frmUpdate" />
+    </Window>
+</GUILayout>
Index: /data/media/gui/scripts/PickupInventory.lua
===================================================================
--- /data/media/gui/scripts/PickupInventory.lua	(revision 5506)
+++ /data/media/gui/scripts/PickupInventory.lua	(revision 5506)
@@ -0,0 +1,14 @@
+layoutPath = "PickupInventory.layout"
+
+-- events
+function tabChanged(e)
+    local we = CEGUI.toWindowEventArgs(e)
+    orxonox.PickupInventory:tabChanged(we.window)
+end
+function frmUpdate(e)
+    
+end
+
+function noButtonClicked(e)
+    orxonox.PickupInventory:toggleInventory()
+end
Index: /data/media/levels/pickuptest.oxw
===================================================================
--- /data/media/levels/pickuptest.oxw	(revision 5506)
+++ /data/media/levels/pickuptest.oxw	(revision 5506)
@@ -0,0 +1,38 @@
+<?lua
+  include("levels/hudtemplates3.oxw")
+  include("overlay/stats.oxo")
+  include("levels/spaceshiptemplates_presentation.oxw")
+?>
+
+<Level
+ name         = "Presentation"
+ description  = "A simple testlevel"
+>
+  <Scene
+   ambientlight = "0.5, 0.5, 0.5"
+   skybox       = "Orxonox/skypanoramagen1"
+  >
+    
+    <Template name="jumpTest" baseclass="Jump">
+        <Jump velocity="0,0,500" jumpsAvailable="10" />
+    </Template>
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+    <PickupSpawner item="jumpTest" triggerDistance="20" respawnTime="10" position="100, 0, 0">
+        <attached>
+            <Model mesh="sphere.mesh" scale="3.0" />
+            <Billboard material="Examples/Flare" colour="0.5, 1.0, 0.3" scale="0.5" />
+        </attached>
+    </PickupSpawner>
+    
+    <SpawnPoint position="200,200,200" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+    <GlobalShader compositor="Bloom" visible=false>
+      <events>
+        <visibility>
+          <DistanceTrigger position="0,0,0" distance=30 target="Spectator" switch=true />
+        </visibility>
+      </events>
+    </GlobalShader>
+  </Scene>
+</Level>
